#@tool
#@icon(icon_path: String)
extends Node
## Documentation comments

#signal
#enum
#const
#@export var
var levels: Array[Level]
var current_level: Level
#@onready var

## OVERRIDES

func _ready() -> void:
	pass

#func _process(_delta: float) -> void:
	#pass


## CORE
func build_level(level_number: int) -> void:
	print_debug("Building level #%s" % level_number)

## PRIVATE/HELPER

## RECEIVERS

## SETTERS/GETTERS
